## networking-mlnx 8.0.0~b3

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr<2.0,>=0.11
Babel>=1.3
-e git://git.openstack.org/openstack/neutron.git#egg=neutron

=== debian/changelog ===
networking-mlnx (1:8.0.0~b3-3ubuntu1) xenial; urgency=medium

  * Removed manually written .upstart job (it's generated by
    openstack-pkg-tools).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Mar 2016 10:41:14 +0100

networking-mlnx (1:8.0.0~b3-2) experimental; urgency=medium

  * Added missing python-lxml (build-)depends.
  * Added --config-file /etc/neutron/plugins/ml2/eswitchd.conf when starting
    the eswitchd daemon.
  * Added --config-file=/etc/neutron/plugins/mlnx/mlnx_conf.ini when starting
    the neutron-mlnx-agent.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Mar 2016 10:14:14 +0100

networking-mlnx (1:8.0.0~b3-1) experimental; urgency=medium

  [ Lenny Verkhovsky ]
  * New upstream release.
  * Added back Thomas Goirand <zigo@debian.org> to uploaders
  * changed neutron dependency version to ${binary:Version}
  * added start/config scripts for eswitchd. This code is part of the
    networking-mlnx from mitaka.
  * fixed Melanox typo
  * changed author up eswitchd.upstart
  * changed urls from stackforge (depriicated) to openstack
  * changed branch from liberty to mitaka in gbp.conf

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * Standards-Version: 3.9.7 ( no change).
  * Fixed debian/copyright ordering.
  * Added debian/patches/deleted_non_working_tests.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Mar 2016 08:48:00 +0000

networking-mlnx (1:7.0.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #808674)
  * Fixed (build-)depends for this release.
  * Added a watch file.

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Dec 2015 15:31:29 +0100

networking-mlnx (2015.1~b1+git20150502+400747aa20-1) unstable; urgency=medium

  * Initial release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Mar 2015 16:02:15 +0100

=== debian/control ===
Source: networking-mlnx
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Lenny Verkhovsky <lennyb@mellanox.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 34~),
               po-debconf,
               python-all,
               python-pbr (>= 0.11),
               python-sphinx,
Build-Depends-Indep: python-babel,
                     python-cliff (>= 1.15.0),
                     python-coverage,
                     python-ddt (>= 1.0.1),
                     python-fixtures (>= 1.3.1),
                     python-hacking,
                     python-lxml,
                     python-mock (>= 1.3),
                     python-neutron (>= 2:8.0.0~b2),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.5.1),
                     python-os-testr (>= 0.4.1),
                     python-pymysql,
                     python-requests-mock (>= 0.7.0),
                     python-tempest-lib (>= 0.13.0),
                     python-testresources,
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-webtest (>= 2.0),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18),
Standards-Version: 3.9.7
Homepage: http://neutron.openstack.org/
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/networking-mlnx.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/networking-mlnx.git

Package: python-networking-mlnx
Architecture: all
Section: python
Depends: python-babel,
         python-lxml,
         python-neutron (>= 1:8.0.0~b2),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack virtual network service - Mellanox plugin Python 2.7 files
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python 2.7 files for the Mellanox plugin.

Package: networking-mlnx-common
Architecture: all
Depends: neutron-common  (>= 1:8.0.0~b2),
         python-networking-mlnx (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack virtual network service - Mellanox plugin common files
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Mellanox plugin common files.

Package: neutron-mlnx-agent
Architecture: all
Section: python
Depends: networking-mlnx-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Recommends: iputils-arping,
Description: OpenStack virtual network service - Mellanox plugin agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Mellanox plugin agent.

Package: networking-mlnx-eswitchd
Architecture: all
Provides: neutron-plugin,
Depends: networking-mlnx-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: Neutron is a virtual network service for Openstack - Mellanox eswitchd
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Mellanox eswitchd.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
#PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT := git://github.com/openstack/networking-mlnx.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

%:
	dh $@ --buildsystem=python_distutils --with python2,systemd

override_dh_auto_install:
	set -e ; set -x ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/tmp; \
	done

override_dh_install:
	dh_install --fail-missing
	install -D -m 0644 $(CURDIR)/etc/neutron/plugins/ml2/eswitchd.conf	$(CURDIR)/debian/networking-mlnx-common/etc/neutron/plugins/ml2/eswitchd.conf
	install -D -m 0644 $(CURDIR)/etc/neutron/plugins/ml2/ml2_conf_sdn.ini   $(CURDIR)/debian/networking-mlnx-common/etc/neutron/plugins/ml2/ml2_conf_sdn.ini
	install -D -m 0644 $(CURDIR)/etc/neutron/plugins/mlnx/mlnx_conf.ini     $(CURDIR)/debian/networking-mlnx-common/etc/neutron/plugins/mlnx/mlnx_conf.ini
	install -D -m 0644 $(CURDIR)/etc/neutron/rootwrap.d/eswitchd.filters    $(CURDIR)/debian/networking-mlnx-common/etc/neutron/rootwrap.d/eswitchd.filters

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build .testrepository
	rm -f debian/*.service debian/*.init debian/*.upstart

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_installgsettings:

## networking-mlnx 9.0.0~b1

=== requirements.txt ===
--- 
+++ 
@@ -3,4 +3,6 @@
 # process, which may cause wedges in the gate later.
 pbr<2.0,>=0.11
 Babel>=1.3
+lxml
+zmq
 -e git://git.openstack.org/openstack/neutron.git#egg=neutron

=== debian/changelog ===
networking-mlnx (1:9.0.0~b1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Removed UPSTREAM_GIT with default value
  * d/copyright: Changed source URL to https protocol

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Point .gitreview to OpenStack's packaging-deb Gerrit.
  * Using OpenStack's Gerrit as VCS URLs.
  * Removed deleted_non_working_tests.patch (tests aren't there anymore).
  * Adds python-zmq and python-ethtool as (build-)depends.
  * Fixed oslotest EPOCH.
  * Defines SCRIPTNAME=networking-mlnx-eswitchd.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Sep 2016 00:10:16 +0200

networking-mlnx (1:8.0.0~b3-4) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 21:38:04 +0000

networking-mlnx (1:8.0.0~b3-3) experimental; urgency=medium

  * Removed manually written .upstart job (it's generated by
    openstack-pkg-tools).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Mar 2016 10:41:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: networking-mlnx
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Lenny Verkhovsky <lennyb@mellanox.com>,
 Build-Depends: debhelper (>= 9),
                dh-python,
                dh-systemd,
-               openstack-pkg-tools (>= 34~),
+               openstack-pkg-tools (>= 52~),
                po-debconf,
                python-all,
                python-pbr (>= 0.11),
@@ -17,14 +16,16 @@
                      python-cliff (>= 1.15.0),
                      python-coverage,
                      python-ddt (>= 1.0.1),
+                     python-ethtool,
                      python-fixtures (>= 1.3.1),
                      python-hacking,
                      python-lxml,
                      python-mock (>= 1.3),
-                     python-neutron (>= 2:8.0.0~b2),
+                     python-neutron (>= 2:9.0.0~rc1),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.5.1),
+                     python-oslotest (>= 1:1.5.1),
                      python-os-testr (>= 0.4.1),
+                     python-psycopg2,
                      python-pymysql,
                      python-requests-mock (>= 0.7.0),
                      python-tempest-lib (>= 0.13.0),
@@ -32,19 +33,22 @@
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
                      python-webtest (>= 2.0),
+                     python-zmq,
                      subunit (>= 0.0.18),
                      testrepository (>= 0.0.18),
-Standards-Version: 3.9.7
-Homepage: http://neutron.openstack.org/
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/networking-mlnx.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/networking-mlnx.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-networking-mlnx?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-networking-mlnx -b debian/newton
+Homepage: https://github.com/openstack/networking-mlnx
 
 Package: python-networking-mlnx
 Architecture: all
 Section: python
 Depends: python-babel,
+         python-ethtool,
          python-lxml,
-         python-neutron (>= 1:8.0.0~b2),
+         python-neutron (>= 1:9.0.0~rc1),
+         python-zmq,
          ${misc:Depends},
          ${python:Depends},
 Description: OpenStack virtual network service - Mellanox plugin Python 2.7 files

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,6 @@
 PYTHONS:=$(shell pyversions -vr)
 #PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT := git://github.com/openstack/networking-mlnx.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

## networking-mlnx 11.0.0

=== debian/changelog ===
networking-mlnx (1:11.0.0-2) unstable; urgency=medium

  * Team upload.
  * Allow newer python-sqlalchemy (Closes: #883642)

 -- Ondřej Nový <onovy@debian.org>  Wed, 06 Dec 2017 13:05:32 +0100

networking-mlnx (1:11.0.0-1) unstable; urgency=medium

  * Updating VCS fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.1.1.
  * New upstream release (Closes: #882622).
  * Fixed (build-)depends for this release.
  * A few fixes in debian/rules.
  * Remove dh-systemd b-d.
  * Add lsb-base runtime depends for daemons.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Nov 2017 12:04:28 +0100

=== debian/control ===
Source: networking-mlnx
Section: net
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Lenny Verkhovsky <lennyb@mellanox.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python-all,
 python-pbr,
 python-sphinx,
Build-Depends-Indep:
 alembic (>= 0.8.10),
 python-babel,
 python-cliff,
 python-coverage,
 python-ddt,
 python-ethtool,
 python-eventlet,
 python-fixtures,
 python-hacking,
 python-lxml,
 python-mock,
 python-netaddr,
 python-neutron (>= 2:11.0.0),
 python-neutron-lib (>= 1.1.0),
 python-neutronclient,
 python-openstackclient (>= 3.3.0),
 python-os-testr (>= 0.4.1),
 python-oslo.config,
 python-oslo.i18n,
 python-oslo.log,
 python-oslo.messaging (>= 5.14.0),
 python-oslo.serialization,
 python-oslo.utils (>= 3.18.0),
 python-oslosphinx,
 python-oslotest (>= 1:1.5.1),
 python-psycopg2,
 python-pymysql,
 python-requests-mock (>= 0.7.0),
 python-six,
 python-sqlalchemy,
 python-stevedore,
 python-tempest-lib,
 python-testresources,
 python-testscenarios,
 python-testtools,
 python-vine,
 python-webtest (>= 2.0),
 python-zmq,
 subunit,
 testrepository,
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/services/networking-mlnx.git
Vcs-Git: https://anonscm.debian.org/git/openstack/networking-mlnx.git
Homepage: https://github.com/openstack/networking-mlnx

Package: networking-mlnx-common
Architecture: all
Depends:
 neutron-common  (>= 1:11.0.0),
 python-networking-mlnx (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack virtual network service - Mellanox plugin common files
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Mellanox plugin common files.

Package: networking-mlnx-eswitchd
Architecture: all
Provides:
 neutron-plugin,
Depends:
 networking-mlnx-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python:Depends},
Description: Neutron is a virtual network service for Openstack - Mellanox eswitchd
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Mellanox eswitchd.

Package: neutron-mlnx-agent
Architecture: all
Section: python
Depends:
 networking-mlnx-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python:Depends},
Recommends:
 iputils-arping,
Description: OpenStack virtual network service - Mellanox plugin agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Mellanox plugin agent.

Package: python-networking-mlnx
Architecture: all
Section: python
Depends:
 alembic (>= 0.8.10),
 python-babel,
 python-ethtool,
 python-eventlet,
 python-lxml,
 python-netaddr,
 python-neutron (>= 1:11.0.0),
 python-neutron-lib (>= 1.1.0),
 python-neutronclient,
 python-openstackclient (>= 3.3.0),
 python-oslo.config,
 python-oslo.i18n,
 python-oslo.log,
 python-oslo.messaging (>= 5.14.0),
 python-oslo.serialization,
 python-oslo.utils (>= 3.18.0),
 python-pbr,
 python-six,
 python-sqlalchemy,
 python-stevedore,
 python-zmq,
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack virtual network service - Mellanox plugin Python 2.7 files
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python 2.7 files for the Mellanox plugin.

=== debian/rules ===
--- 
+++ 
@@ -1,20 +1,12 @@
 #!/usr/bin/make -f
 
-PYTHONS:=$(shell pyversions -vr)
-#PYTHON3S:=$(shell py3versions -vr)
-
 include /usr/share/openstack-pkg-tools/pkgos.make
-
-export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)
 
 %:
 	dh $@ --buildsystem=python_distutils --with python2,systemd
 
 override_dh_auto_install:
-	set -e ; set -x ; for pyvers in $(PYTHONS); do \
-		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/tmp; \
-	done
+	python2.7 setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp
 
 override_dh_install:
 	dh_install --fail-missing

## networking-mlnx 13.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

Babel>=1.3
pbr!=2.1.0,>=2.0.0 # Apache-2.0

eventlet!=0.18.3,>=0.18.2 # MIT
netaddr!=0.7.16,>=0.7.13 # BSD
python-neutronclient>=5.1.0 # Apache-2.0
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
alembic>=0.8.10 # MIT
six>=1.9.0 # MIT
stevedore>=1.20.0 # Apache-2.0
oslo.config>=3.22.0 # Apache-2.0
oslo.i18n!=3.15.2,>=2.1.0 # Apache-2.0
oslo.log>=3.22.0 # Apache-2.0
oslo.messaging>=5.19.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
python-openstackclient>=3.3.0 # Apache-2.0
neutron-lib>=1.7.0 # Apache-2.0
neutron>=12.0.0  # Apache-2.0

lxml
pyzmq

=== debian/changelog ===
networking-mlnx (1:13.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Sep 2018 20:23:43 +0200

networking-mlnx (1:13.1.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed tempest-lib in reqs patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Aug 2018 14:24:38 +0200

networking-mlnx (1:12.0.0-2) unstable; urgency=medium

  * Remove tempest-lib from usptream test-reqs.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Apr 2018 10:35:57 +0200

networking-mlnx (1:12.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Remove SQLA version patch.
  * Switch to Python 3 (Closes: #892882).
  * Reviewed debian/copyright holder list and years.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Apr 2018 14:16:21 +0000

=== debian/control ===
Source: networking-mlnx
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Lenny Verkhovsky <lennyb@mellanox.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-sphinx,
Build-Depends-Indep:
 alembic (>= 0.8.10),
 python3-babel,
 python3-cliff,
 python3-coverage,
 python3-ddt,
 python3-ethtool,
 python3-eventlet,
 python3-fixtures,
 python3-hacking,
 python3-lxml,
 python3-mock,
 python3-netaddr,
 python3-neutron (>= 2:13.0.0~rc1),
 python3-neutron-lib (>= 1.7.0),
 python3-neutronclient,
 python3-openstackclient (>= 3.3.0),
 python3-os-testr (>= 0.4.1),
 python3-oslo.config (>= 1:3.22.0),
 python3-oslo.i18n (>= 2.1.0),
 python3-oslo.log (>= 3.22.0),
 python3-oslo.messaging (>= 5.19.0),
 python3-oslo.serialization,
 python3-oslo.utils (>= 3.20.0),
 python3-oslosphinx,
 python3-oslotest (>= 1:1.5.1),
 python3-psycopg2,
 python3-pymysql,
 python3-requests-mock (>= 0.7.0),
 python3-six,
 python3-sqlalchemy,
 python3-stevedore (>= 1.20.0),
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-tempest (>= 17.1.0),
 python3-vine,
 python3-webtest (>= 2.0),
 python3-zmq,
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/networking-mlnx
Vcs-Git: https://salsa.debian.org/openstack-team/services/networking-mlnx.git
Homepage: https://github.com/openstack/networking-mlnx

Package: networking-mlnx-common
Architecture: all
Depends:
 neutron-common  (>= 1:11.0.0),
 python3-networking-mlnx (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack virtual network service - Mellanox plugin common files
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Mellanox plugin common files.

Package: networking-mlnx-eswitchd
Architecture: all
Provides:
 neutron-plugin,
Depends:
 networking-mlnx-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: Neutron is a virtual network service for Openstack - Mellanox eswitchd
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Mellanox eswitchd.

Package: neutron-mlnx-agent
Architecture: all
Section: python
Depends:
 networking-mlnx-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Recommends:
 iputils-arping,
Description: OpenStack virtual network service - Mellanox plugin agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Mellanox plugin agent.

Package: python3-networking-mlnx
Architecture: all
Section: python
Depends:
 alembic (>= 0.8.10),
 python3-babel,
 python3-ethtool,
 python3-eventlet,
 python3-lxml,
 python3-netaddr,
 python3-neutron (>= 1:13.0.0~rc1),
 python3-neutron-lib (>= 1.7.0),
 python3-neutronclient,
 python3-openstackclient (>= 3.3.0),
 python3-oslo.config (>= 1:3.22.0),
 python3-oslo.i18n (>= 2.1.0),
 python3-oslo.log (>= 3.22.0),
 python3-oslo.messaging (>= 5.19.0),
 python3-oslo.serialization,
 python3-oslo.utils (>= 3.20.0),
 python3-pbr (>= 2.0.0),
 python3-six,
 python3-sqlalchemy,
 python3-stevedore (>= 1.20.0),
 python3-zmq,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python-networking-mlnx,
Replaces:
 python-networking-mlnx,
Description: OpenStack virtual network service - Mellanox plugin Python 2.7 files
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python 2.7 files for the Mellanox plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,systemd

override_dh_clean:
	dh_clean
	rm -rf build .testrepository
	rm -f debian/*.service debian/*.init debian/*.upstart

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_install:
	set -e ; set -x ; for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

	dh_install
	dh_missing --fail-missing
	install -D -m 0644 $(CURDIR)/etc/neutron/plugins/ml2/eswitchd.conf	$(CURDIR)/debian/networking-mlnx-common/etc/neutron/plugins/ml2/eswitchd.conf
	install -D -m 0644 $(CURDIR)/etc/neutron/plugins/ml2/ml2_conf_sdn.ini   $(CURDIR)/debian/networking-mlnx-common/etc/neutron/plugins/ml2/ml2_conf_sdn.ini
	install -D -m 0644 $(CURDIR)/etc/neutron/plugins/mlnx/mlnx_conf.ini     $(CURDIR)/debian/networking-mlnx-common/etc/neutron/plugins/mlnx/mlnx_conf.ini
	install -D -m 0644 $(CURDIR)/etc/neutron/rootwrap.d/eswitchd.filters    $(CURDIR)/debian/networking-mlnx-common/etc/neutron/rootwrap.d/eswitchd.filters

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_installgsettings:

## networking-mlnx 13.3.0

=== debian/changelog ===
networking-mlnx (1:13.3.0-0ubuntu0.18.10.1~cloud0) bionic; urgency=medium

  * Re-align project with OpenStack Rocky for UCA (LP: #1842690).
  * Restore Python 2 packaging for this release.

 -- James Page <james.page@ubuntu.com>  Mon, 16 Sep 2019 15:51:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: networking-mlnx
 Section: net
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Lenny Verkhovsky <lennyb@mellanox.com>,
@@ -10,11 +11,50 @@
  dh-python,
  openstack-pkg-tools,
  po-debconf,
+ python-all,
+ python-pbr (>= 2.0.0),
+ python-sphinx,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-sphinx,
 Build-Depends-Indep:
  alembic (>= 0.8.10),
+ python-babel,
+ python-cliff,
+ python-coverage,
+ python-ddt,
+ python-ethtool,
+ python-eventlet,
+ python-fixtures,
+ python-hacking,
+ python-lxml,
+ python-mock,
+ python-netaddr,
+ python-neutron (>= 1:13.0.0~),
+ python-neutron-lib (>= 1.7.0),
+ python-neutronclient,
+ python-openstackclient (>= 3.3.0),
+ python-os-testr (>= 0.4.1),
+ python-oslo.config (>= 1:3.22.0),
+ python-oslo.i18n (>= 2.1.0),
+ python-oslo.log (>= 3.22.0),
+ python-oslo.messaging (>= 5.19.0),
+ python-oslo.serialization,
+ python-oslo.utils (>= 3.20.0),
+ python-oslosphinx,
+ python-oslotest (>= 1:1.5.1),
+ python-psycopg2,
+ python-pymysql,
+ python-requests-mock (>= 0.7.0),
+ python-six,
+ python-sqlalchemy,
+ python-stevedore (>= 1.20.0),
+ python-testresources,
+ python-testscenarios,
+ python-testtools,
+ python-vine,
+ python-webtest (>= 2.0),
+ python-zmq,
  python3-babel,
  python3-cliff,
  python3-coverage,
@@ -26,7 +66,7 @@
  python3-lxml,
  python3-mock,
  python3-netaddr,
- python3-neutron (>= 2:13.0.0~rc1),
+ python3-neutron (>= 1:13.0.0~),
  python3-neutron-lib (>= 1.7.0),
  python3-neutronclient,
  python3-openstackclient (>= 3.3.0),
@@ -48,7 +88,6 @@
  python3-testresources,
  python3-testscenarios,
  python3-testtools,
- python3-tempest (>= 17.1.0),
  python3-vine,
  python3-webtest (>= 2.0),
  python3-zmq,
@@ -113,6 +152,45 @@
  .
  This package provides the Mellanox plugin agent.
 
+Package: python-networking-mlnx
+Architecture: all
+Section: python
+Depends:
+ alembic (>= 0.8.10),
+ python-babel,
+ python-ethtool,
+ python-eventlet,
+ python-lxml,
+ python-netaddr,
+ python-neutron (>= 1:13.0.0~),
+ python-neutron-lib (>= 1.7.0),
+ python-neutronclient,
+ python-openstackclient (>= 3.3.0),
+ python-oslo.config (>= 1:3.22.0),
+ python-oslo.i18n (>= 2.1.0),
+ python-oslo.log (>= 3.22.0),
+ python-oslo.messaging (>= 5.19.0),
+ python-oslo.serialization,
+ python-oslo.utils (>= 3.20.0),
+ python-pbr (>= 2.0.0),
+ python-six,
+ python-sqlalchemy,
+ python-stevedore (>= 1.20.0),
+ python-zmq,
+ ${misc:Depends},
+ ${python:Depends},
+Breaks:
+ python3-networking-mlnx,
+Replaces:
+ python3-networking-mlnx,
+Description: OpenStack virtual network service - Mellanox plugin Python 2.7 files
+ Neutron provides an API to dynamically request and configure virtual networks.
+ These networks connect "interfaces" from other OpenStack services (such as
+ vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
+ network capabilities, including QoS, ACLs, and network monitoring.
+ .
+ This package provides the Python 2.7 files for the Mellanox plugin.
+
 Package: python3-networking-mlnx
 Architecture: all
 Section: python
@@ -123,7 +201,7 @@
  python3-eventlet,
  python3-lxml,
  python3-netaddr,
- python3-neutron (>= 1:13.0.0~rc1),
+ python3-neutron (>= 1:13.0.0~),
  python3-neutron-lib (>= 1.7.0),
  python3-neutronclient,
  python3-openstackclient (>= 3.3.0),
@@ -144,10 +222,10 @@
  python-networking-mlnx,
 Replaces:
  python-networking-mlnx,
-Description: OpenStack virtual network service - Mellanox plugin Python 2.7 files
- Neutron provides an API to dynamically request and configure virtual networks.
- These networks connect "interfaces" from other OpenStack services (such as
- vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
- network capabilities, including QoS, ACLs, and network monitoring.
- .
- This package provides the Python 2.7 files for the Mellanox plugin.
+Description: OpenStack virtual network service - Mellanox plugin Python 3 files
+ Neutron provides an API to dynamically request and configure virtual networks.
+ These networks connect "interfaces" from other OpenStack services (such as
+ vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
+ network capabilities, including QoS, ACLs, and network monitoring.
+ .
+ This package provides the Python 3 files for the Mellanox plugin.

=== debian/rules ===
--- 
+++ 
@@ -3,33 +3,22 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,systemd
+	dh $@ --buildsystem=python_distutils --with python3,python2,systemd
 
 override_dh_clean:
 	dh_clean
 	rm -rf build .testrepository
 	rm -f debian/*.service debian/*.init debian/*.upstart
 
-override_dh_auto_clean:
-	python3 setup.py clean
-
-override_dh_auto_build:
-	echo "Do nothing..."
-
 override_dh_auto_install:
-	echo "Do nothing..."
+	pkgos-dh_auto_install
 
 override_dh_auto_test:
-	echo "Do nothing..."
+ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+	pkgos-dh_auto_test
+endif
 
 override_dh_install:
-	set -e ; set -x ; for i in $(PYTHON3S) ; do \
-		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
-	done
-ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2
-endif
-
 	dh_install
 	dh_missing --fail-missing
 	install -D -m 0644 $(CURDIR)/etc/neutron/plugins/ml2/eswitchd.conf	$(CURDIR)/debian/networking-mlnx-common/etc/neutron/plugins/ml2/eswitchd.conf

## networking-mlnx 14.0.0

=== debian/changelog ===
networking-mlnx (1:14.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast

  [ Sakirnth Nagarasa ]
  * New upstream release.
  * Add myself as an uploader.
  * Remove systemd dh addon in debian/rules.

 -- Thomas Goirand <zigo@debian.org>  Sat, 20 Jul 2019 16:17:05 +0200

=== debian/control ===
Source: networking-mlnx
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Lenny Verkhovsky <lennyb@mellanox.com>,
 Sakirnth Nagarasa <sakirnth@gmail.com>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 python3-babel,
 python3-cliff,
 python3-coverage,
 python3-ddt,
 python3-ethtool,
 python3-eventlet,
 python3-fixtures,
 python3-hacking,
 python3-lxml,
 python3-mock,
 python3-netaddr,
 python3-neutron (>= 2:14.0.0),
 python3-neutron-lib,
 python3-neutronclient,
 python3-openstackclient,
 python3-os-testr,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslosphinx,
 python3-oslotest,
 python3-psycopg2,
 python3-pymysql,
 python3-requests-mock,
 python3-six,
 python3-sqlalchemy,
 python3-stevedore,
 python3-tempest,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-vine,
 python3-webtest,
 python3-zmq,
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/networking-mlnx
Vcs-Git: https://salsa.debian.org/openstack-team/services/networking-mlnx.git
Homepage: https://github.com/openstack/networking-mlnx

Package: networking-mlnx-common
Architecture: all
Depends:
 neutron-common  (>= 1:11.0.0),
 python3-networking-mlnx (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack virtual network service - Mellanox plugin common files
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Mellanox plugin common files.

Package: networking-mlnx-eswitchd
Architecture: all
Provides:
 neutron-plugin,
Depends:
 networking-mlnx-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: Neutron is a virtual network service for Openstack - Mellanox eswitchd
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Mellanox eswitchd.

Package: neutron-mlnx-agent
Architecture: all
Section: python
Depends:
 networking-mlnx-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Recommends:
 iputils-arping,
Description: OpenStack virtual network service - Mellanox plugin agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Mellanox plugin agent.

Package: python3-networking-mlnx
Architecture: all
Section: python
Depends:
 alembic,
 python3-babel,
 python3-ethtool,
 python3-eventlet,
 python3-lxml,
 python3-netaddr,
 python3-neutron (>= 1:14.0.0),
 python3-neutron-lib,
 python3-neutronclient,
 python3-openstackclient,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-six,
 python3-sqlalchemy,
 python3-stevedore,
 python3-zmq,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python-networking-mlnx,
Replaces:
 python-networking-mlnx,
Description: OpenStack virtual network service - Mellanox plugin Python 2.7 files
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python 2.7 files for the Mellanox plugin.

## networking-mlnx 14.0.1

=== debian/changelog ===
networking-mlnx (1:14.0.1-0ubuntu0.19.04.1~cloud0) bionic-stein; urgency=medium

  * New package for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 25 Nov 2019 11:24:15 +0000

networking-mlnx (1:14.0.1-0ubuntu0.19.04.1) disco; urgency=medium

  * Re-align project to OpenStack Stein, as shipped in 19.04 (LP: #1842690).

 -- James Page <james.page@ubuntu.com>  Mon, 16 Sep 2019 15:49:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: networking-mlnx
 Section: net
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Lenny Verkhovsky <lennyb@mellanox.com>,
- Sakirnth Nagarasa <sakirnth@gmail.com>,
 Build-Depends:
- debhelper-compat (= 11),
+ debhelper (>= 10),
  dh-python,
  openstack-pkg-tools,
  po-debconf,
  python3-all,
- python3-pbr,
+ python3-pbr (>= 2.0.0),
  python3-sphinx,
 Build-Depends-Indep:
- alembic,
+ alembic (>= 0.8.10),
  python3-babel,
  python3-cliff,
  python3-coverage,
@@ -27,31 +27,31 @@
  python3-lxml,
  python3-mock,
  python3-netaddr,
- python3-neutron (>= 2:14.0.0),
- python3-neutron-lib,
+ python3-neutron (>= 2:13.0.0~rc1),
+ python3-neutron-lib (>= 1.7.0),
  python3-neutronclient,
- python3-openstackclient,
- python3-os-testr,
- python3-oslo.config,
- python3-oslo.i18n,
- python3-oslo.log,
- python3-oslo.messaging,
+ python3-openstackclient (>= 3.3.0),
+ python3-os-testr (>= 0.4.1),
+ python3-oslo.config (>= 1:3.22.0),
+ python3-oslo.i18n (>= 2.1.0),
+ python3-oslo.log (>= 3.22.0),
+ python3-oslo.messaging (>= 5.19.0),
  python3-oslo.serialization,
- python3-oslo.utils,
+ python3-oslo.utils (>= 3.20.0),
  python3-oslosphinx,
- python3-oslotest,
+ python3-oslotest (>= 1:1.5.1),
  python3-psycopg2,
  python3-pymysql,
- python3-requests-mock,
+ python3-requests-mock (>= 0.7.0),
  python3-six,
  python3-sqlalchemy,
- python3-stevedore,
- python3-tempest,
+ python3-stevedore (>= 1.20.0),
  python3-testresources,
  python3-testscenarios,
  python3-testtools,
+ python3-tempest (>= 17.1.0),
  python3-vine,
- python3-webtest,
+ python3-webtest (>= 2.0),
  python3-zmq,
  subunit,
  testrepository,
@@ -118,26 +118,26 @@
 Architecture: all
 Section: python
 Depends:
- alembic,
+ alembic (>= 0.8.10),
  python3-babel,
  python3-ethtool,
  python3-eventlet,
  python3-lxml,
  python3-netaddr,
- python3-neutron (>= 1:14.0.0),
- python3-neutron-lib,
+ python3-neutron (>= 1:13.0.0~rc1),
+ python3-neutron-lib (>= 1.7.0),
  python3-neutronclient,
- python3-openstackclient,
- python3-oslo.config,
- python3-oslo.i18n,
- python3-oslo.log,
- python3-oslo.messaging,
+ python3-openstackclient (>= 3.3.0),
+ python3-oslo.config (>= 1:3.22.0),
+ python3-oslo.i18n (>= 2.1.0),
+ python3-oslo.log (>= 3.22.0),
+ python3-oslo.messaging (>= 5.19.0),
  python3-oslo.serialization,
- python3-oslo.utils,
- python3-pbr,
+ python3-oslo.utils (>= 3.20.0),
+ python3-pbr (>= 2.0.0),
  python3-six,
  python3-sqlalchemy,
- python3-stevedore,
+ python3-stevedore (>= 1.20.0),
  python3-zmq,
  ${misc:Depends},
  ${python3:Depends},

## networking-mlnx 15.0.0~b2~git2019090509.50bbc9d

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

Babel>=1.3
pbr!=2.1.0,>=2.0.0 # Apache-2.0
defusedxml>=0.5.0 # PSF

eventlet!=0.18.3,>=0.18.2 # MIT
netaddr>=0.7.18 # BSD
python-neutronclient>=5.1.0 # Apache-2.0
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
six>=1.10.0 # MIT
oslo.config>=5.2.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
python-openstackclient>=3.3.0 # Apache-2.0
neutron-lib>=1.28.0 # Apache-2.0
neutron>=13.0.0.0b2 # Apache-2.0
pyzmq

=== debian/changelog ===
networking-mlnx (1:15.0.0~b2~git2019090509.50bbc9d-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train (LP: #1842690).
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 05 Sep 2019 09:00:32 +0100

=== debian/control ===
--- 
+++ 
@@ -6,55 +6,48 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Lenny Verkhovsky <lennyb@mellanox.com>,
+ Sakirnth Nagarasa <sakirnth@gmail.com>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 11),
  dh-python,
  openstack-pkg-tools,
  po-debconf,
  python3-all,
- python3-pbr (>= 2.0.0),
+ python3-pbr,
  python3-sphinx,
 Build-Depends-Indep:
- alembic (>= 0.8.10),
  python3-babel,
  python3-cliff,
  python3-coverage,
  python3-ddt,
+ python3-defusedxml (>= 0.5.0),
  python3-ethtool,
  python3-eventlet,
  python3-fixtures,
  python3-hacking,
  python3-lxml,
  python3-mock,
- python3-netaddr,
- python3-neutron (>= 2:13.0.0~rc1),
- python3-neutron-lib (>= 1.7.0),
+ python3-netaddr (>= 0.7.18),
+ python3-neutron (>= 1:15.0.0~),
+ python3-neutron-lib (>= 1.28.0),
  python3-neutronclient,
- python3-openstackclient (>= 3.3.0),
- python3-os-testr (>= 0.4.1),
- python3-oslo.config (>= 1:3.22.0),
- python3-oslo.i18n (>= 2.1.0),
- python3-oslo.log (>= 3.22.0),
- python3-oslo.messaging (>= 5.19.0),
- python3-oslo.serialization,
- python3-oslo.utils (>= 3.20.0),
+ python3-openstackclient,
+ python3-os-testr,
+ python3-oslo.concurrency (>= 3.26.0),
+ python3-oslo.config (>= 1:5.2.0),
  python3-oslosphinx,
- python3-oslotest (>= 1:1.5.1),
- python3-psycopg2,
- python3-pymysql,
- python3-requests-mock (>= 0.7.0),
+ python3-oslotest,
+ python3-requests-mock,
  python3-six,
  python3-sqlalchemy,
- python3-stevedore (>= 1.20.0),
+ python3-subunit,
+ python3-testrepository,
  python3-testresources,
  python3-testscenarios,
  python3-testtools,
- python3-tempest (>= 17.1.0),
  python3-vine,
- python3-webtest (>= 2.0),
+ python3-webtest,
  python3-zmq,
- subunit,
- testrepository,
 Standards-Version: 4.1.3
 Vcs-Browser: https://salsa.debian.org/openstack-team/services/networking-mlnx
 Vcs-Git: https://salsa.debian.org/openstack-team/services/networking-mlnx.git
@@ -118,26 +111,21 @@
 Architecture: all
 Section: python
 Depends:
- alembic (>= 0.8.10),
  python3-babel,
+ python3-defusedxml (>= 0.5.0),
  python3-ethtool,
  python3-eventlet,
  python3-lxml,
- python3-netaddr,
- python3-neutron (>= 1:13.0.0~rc1),
- python3-neutron-lib (>= 1.7.0),
+ python3-netaddr (>= 0.7.18),
+ python3-neutron (>= 1:15.0.0~),
+ python3-neutron-lib (>= 1.28.0),
  python3-neutronclient,
- python3-openstackclient (>= 3.3.0),
- python3-oslo.config (>= 1:3.22.0),
- python3-oslo.i18n (>= 2.1.0),
- python3-oslo.log (>= 3.22.0),
- python3-oslo.messaging (>= 5.19.0),
- python3-oslo.serialization,
- python3-oslo.utils (>= 3.20.0),
- python3-pbr (>= 2.0.0),
+ python3-openstackclient,
+ python3-oslo.concurrency (>= 3.26.0),
+ python3-oslo.config (>= 1:5.2.0),
+ python3-pbr,
  python3-six,
  python3-sqlalchemy,
- python3-stevedore (>= 1.20.0),
  python3-zmq,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://opendev.org/x/networking-mlnx.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_clean:
	dh_clean
	rm -rf build .testrepository
	rm -f debian/*.service debian/*.init debian/*.upstart

override_dh_auto_clean:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

	dh_install
	dh_missing --fail-missing
	install -D -m 0644 $(CURDIR)/etc/neutron/plugins/ml2/eswitchd.conf	$(CURDIR)/debian/networking-mlnx-common/etc/neutron/plugins/ml2/eswitchd.conf
	install -D -m 0644 $(CURDIR)/etc/neutron/plugins/ml2/ml2_conf_sdn.ini   $(CURDIR)/debian/networking-mlnx-common/etc/neutron/plugins/ml2/ml2_conf_sdn.ini
	install -D -m 0644 $(CURDIR)/etc/neutron/plugins/mlnx/mlnx_conf.ini     $(CURDIR)/debian/networking-mlnx-common/etc/neutron/plugins/mlnx/mlnx_conf.ini
	install -D -m 0644 $(CURDIR)/etc/neutron/rootwrap.d/eswitchd.filters    $(CURDIR)/debian/networking-mlnx-common/etc/neutron/rootwrap.d/eswitchd.filters

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/networking-mlnx/tags .*/(\d[\d\.]+)\.tar\.gz
